/*
Smooth Accordion Panel
Author: KEITA HIRAI
URL: keitahirai.net
*/

/* シンプル ver
   ========================================================================== */
$(function() {
	// var touch = ("ontouchstart" in document) ? "touchstart" : "click";

	$("#accordion > dd").hide();
	// $("#accordion > dt").on(touch, function() {
	$("#accordion > dt").on("click", function() {
		if ($(this).next().css("display") == "none") {
			$(this).next().velocity("slideDown", {duration: 400});
			$(this).addClass("active");
		}
		else {
			$(this).next().velocity("slideUp", {duration: 400});
			$(this).removeClass("active");
		}
	});

	// $("#accordion .close").on(touch, function() {
	$("#accordion .close").on("click", function() {
		$(this).parent("dd").velocity("slideUp", {duration: 400});
		$(this).parent("dd").prev().removeClass("active");
	});
});



/* 入れ子 ver
   ========================================================================== */
$(function(){
	// var touch = ("ontouchstart" in document) ? "touchstart" : "click";

	$("#accordion-nest ul").hide();
	// $("#accordion-nest .open").on(touch, function() {
	$("#accordion-nest .open").on("click", function() {
		if ($(this).next().css("display") == "none") {
			$(this).next().velocity("slideDown", {duration: 400});
			$(this).addClass("active");
		}
		else {
			$(this).next().velocity("slideUp", {duration: 400});
			$(this).removeClass("active");
		}
	});
});



/* 横向き ver
   ========================================================================== */
$(function(){
	// var touch = ("ontouchstart" in document) ? "touchstart" : "click";

	$("#accordion-side > dd").css("width", "0");
	$("#accordion-side > dt:first").addClass("active");
	$("#accordion-side > dd:first").css("width", "754px");

	// $("#accordion-side > dt").on(touch, function() {
	$("#accordion-side > dt").on("click", function() {
		$(this).next().velocity({width: 754}, 500, "ease-out");
		$(this).next().siblings("dd").velocity({width: 0}, 500, "ease-out");
		$(this).addClass("active");

		if ($(this).next().css("width") == "0px") {
			$(this).siblings().removeClass("active");
		};
	});
});